import time
import datetime
import schedule

from utils.config_helper import ConfigHelper
from utils.logger_helper import LoggerHelper
from main.runner import Runner

logger = LoggerHelper.get_logger()
DEFAULT_USER_SLEEP_INTERVAL = 10  # 配置默认时间间隔10秒

runner = Runner()
runner.run()

interval = ConfigHelper().get_int("schedule.sleep_interval",DEFAULT_USER_SLEEP_INTERVAL)

if __name__ == '__main__':
    while True:
        now = datetime.datetime.now()
        if now.minute == 0:
            logger.info("程序运行中...")
        schedule.run_pending()
        time.sleep(interval)
